diff --git a/doc/wget.info b/doc/wget.info
index 6dc5287d..59af2bb1 100644
--- a/doc/wget.info
+++ b/doc/wget.info
@@ -26,8 +26,8 @@ notice identical to this one.
 
 Indirect:
 wget.info-1: 961
-wget.info-2: 50366
-wget.info-3: 90237
+wget.info-2: 50731
+wget.info-3: 90713
 
 Tag Table:
 (Indirect)
@@ -39,50 +39,50 @@ Node: Option Syntax8163
 Node: Basic Startup Options9587
 Node: Logging and Input File Options10287
 Node: Download Options12681
-Node: Directory Options18466
-Node: HTTP Options20944
-Node: FTP Options24540
-Node: Recursive Retrieval Options25733
-Node: Recursive Accept/Reject Options27697
-Node: Recursive Retrieval30560
-Node: Following Links32858
-Node: Relative Links33886
-Node: Host Checking34400
-Node: Domain Acceptance36425
-Node: All Hosts38095
-Node: Types of Files38522
-Node: Directory-Based Limits40972
-Node: FTP Links43612
-Node: Time-Stamping44482
-Node: Time-Stamping Usage46119
-Node: HTTP Time-Stamping Internals47688
-Node: FTP Time-Stamping Internals49158
-Node: Startup File50366
-Node: Wgetrc Location51239
-Node: Wgetrc Syntax52054
-Node: Wgetrc Commands52769
-Node: Sample Wgetrc59855
-Node: Examples64147
-Node: Simple Usage64754
-Node: Advanced Usage67148
-Node: Guru Usage69899
-Node: Various71561
-Node: Proxies72085
-Node: Distribution74850
-Node: Mailing List75201
-Node: Reporting Bugs75900
-Node: Portability77685
-Node: Signals79060
-Node: Appendices79714
-Node: Robots80129
-Node: Introduction to RES81276
-Node: RES Format83169
-Node: User-Agent Field84273
-Node: Disallow Field85037
-Node: Norobots Examples85648
-Node: Security Considerations86602
-Node: Contributors87598
-Node: Copying90237
-Node: Concept Index109400
+Node: Directory Options18831
+Node: HTTP Options21309
+Node: FTP Options24905
+Node: Recursive Retrieval Options26098
+Node: Recursive Accept/Reject Options28062
+Node: Recursive Retrieval30925
+Node: Following Links33223
+Node: Relative Links34251
+Node: Host Checking34765
+Node: Domain Acceptance36790
+Node: All Hosts38460
+Node: Types of Files38887
+Node: Directory-Based Limits41337
+Node: FTP Links43977
+Node: Time-Stamping44847
+Node: Time-Stamping Usage46484
+Node: HTTP Time-Stamping Internals48053
+Node: FTP Time-Stamping Internals49523
+Node: Startup File50731
+Node: Wgetrc Location51604
+Node: Wgetrc Syntax52419
+Node: Wgetrc Commands53134
+Node: Sample Wgetrc60331
+Node: Examples64623
+Node: Simple Usage65230
+Node: Advanced Usage67624
+Node: Guru Usage70375
+Node: Various72037
+Node: Proxies72561
+Node: Distribution75326
+Node: Mailing List75677
+Node: Reporting Bugs76376
+Node: Portability78161
+Node: Signals79536
+Node: Appendices80190
+Node: Robots80605
+Node: Introduction to RES81752
+Node: RES Format83645
+Node: User-Agent Field84749
+Node: Disallow Field85513
+Node: Norobots Examples86124
+Node: Security Considerations87078
+Node: Contributors88074
+Node: Copying90713
+Node: Concept Index109876
 
 End Tag Table
diff --git a/doc/wget.info-1 b/doc/wget.info-1
index 2f6af01f..e6e42686 100644
--- a/doc/wget.info-1
+++ b/doc/wget.info-1
@@ -450,6 +450,13 @@ Download Options
      to reasonably expect the network error to be fixed before the
      retry.
 
+`--waitretry=SECONDS'
+     If you don't want Wget to wait between *every* retrieval, but only
+     between retries of failed downloads, you can use this option.  If
+     you want to make sure you never "hammer" remote sites with rapid
+     retries, you can leave it set all the time to some non-zero value
+     using the waitretry variable in your `.wgetrc' file.
+
 `-Y on/off'
 `--proxy=on/off'
      Turn proxy support on or off. The proxy is on by default if the
diff --git a/doc/wget.info-2 b/doc/wget.info-2
index 52a2b228..3651877f 100644
--- a/doc/wget.info-2
+++ b/doc/wget.info-2
@@ -334,6 +334,10 @@ verbose = on/off
 wait = N
      Wait N seconds between retrievals, the same as `-w'.
 
+waitretry = N
+     Wait N seconds between retries of failed retrievals only - the
+     same as `--waitretry'.
+
 
 File: wget.info,  Node: Sample Wgetrc,  Prev: Wgetrc Commands,  Up: Startup File
 
diff --git a/doc/wget.info-3 b/doc/wget.info-3
index f68a7d91..0a4a4668 100644
--- a/doc/wget.info-3
+++ b/doc/wget.info-3
@@ -491,6 +491,7 @@ Concept Index
 * relative links:                        Relative Links.
 * reporting bugs:                        Reporting Bugs.
 * retries:                               Download Options.
+* retries, waiting between:              Download Options.
 * retrieval tracing style:               Download Options.
 * retrieve symbolic links:               FTP Options.
 * retrieving:                            Recursive Retrieval.
@@ -525,6 +526,7 @@ Concept Index
 * various:                               Various.
 * verbose:                               Logging and Input File Options.
 * wait:                                  Download Options.
+* waiting between retries:               Download Options.
 * Wget as spider:                        Download Options.
 * wgetrc:                                Startup File.
 * wgetrc commands:                       Wgetrc Commands.
